<?php

	    //----------------------------------------------------
	    // function TurkishDate($parameter="")
	    //
	    // Ay ve haftann gnnn yaz ile yazld tarih formatn ieren
	    // bir string'i dndren fonksiyon.
	    // rnek kt : 8 Nisan 2000, Cumartesi
	    // Nasl ?:
	    // $value=turkish_date("hg"); Bu sekilde cagirilirsa,
	    // sadece haftanin gunu dnecektir.
	    //
	    // Dier parametreler:
	    // "a" -> Ay ismi
	    // "g" -> Gn
	    // "y" -> Yl (4 haneli)
	    //
	    //----------------------------------------------------
	    function TurkishDate($parameter="") {

	        $weekdays[0] =  "Pazar";
	        $weekdays[1] =  "Pazartesi";
	        $weekdays[2] =  "Sal";
	        $weekdays[3] =  "aramba";
	        $weekdays[4] =  "Perembe";
	        $weekdays[5] =  "Cuma";
	        $weekdays[6] =  "Cumartesi";

	        $months[1]  =  "Ocak";
	        $months[2]  =  "ubat";
	        $months[3]  =  "Mart";
	        $months[4]  =  "Nisan";
	        $months[5]  =  "Mays";
	        $months[6]  =  "Haziran";
	        $months[7]  =  "Temmuz";
	        $months[8]  =  "Austos";
	        $months[9]  =  "Eyll";
	        $months[10] =  "Ekim";
	        $months[11] =  "Kasm";
	        $months[12] =  "Aralk";

	        $haftagunu = date( "w");
	        $ay = date( "m");
	        $yil = date("Y");
	        $gun = date("d");

	        // Ay degiskeni iki halneli deldiginden dolayi,
	        // 10 dan kucuk olanlari kontrol ediyoruz.
	            if($ay < 10)
	                   $ay_n=substr($ay,1,1);
	            else
	               $ay_n=$ay;

	          switch($parameter) {

	            case "hg":
	              $output = $weekdays[$haftagunu];
	             break;
	            case "g":
	             $output = $gun;
	             break;
	            case "a":
	             $output = $ay_n;
	             break;
	            case "y":
	             $output = $yil;
	             break;
	            default:
	             $output=($gun. " ".$months[$ay_n]. " ".$yil. ", ".$weekdays[$haftagunu]);
	             break;
	          }
	        return $output;
	    }



	    function DayNumberToTurkishDate($DayNumber) {

	       $weekdays[0] =  "Pazar";
	        $weekdays[1] =  "Pazartesi";
	        $weekdays[2] =  "Sal";
	        $weekdays[3] =  "aramba";
	        $weekdays[4] =  "Perembe";
	        $weekdays[5] =  "Cuma";
	        $weekdays[6] =  "Cumartesi";
	        $months[1]  =  "Ocak";
	        $months[2]  =  "ubat";
	        $months[3]  =  "Mart";
	        $months[4]  =  "Nisan";
	        $months[5]  =  "Mays";
	        $months[6]  =  "Haziran";
	        $months[7]  =  "Temmuz";
	        $months[8]  =  "Austos";
	        $months[9]  =  "Eyll";
	        $months[10] =  "Ekim";
	        $months[11] =  "Kasm";
	        $months[12] =  "Aralk";

	        $this_year = date("Y");
	        $haftagunu = date("w", mktime(0,0,0,0,$DayNumber,$this_year));
	        $ay = date("m", mktime(0,0,0,0,$DayNumber,$this_year));
	        $yil = date("Y", mktime(0,0,0,0,$DayNumber,$this_year));
	        $gun = date("d", mktime(0,0,0,0,$DayNumber,$this_year));

	        // Ay degiskeni iki haneli geldiginden dolayi,
	        // 10 dan kucuk olanlari kontrol ediyoruz.
	        if($ay < 10)
	        $ay_n=substr($ay,1,1);
	        else
	        $ay_n=$ay;

	        $output = ($gun. " ".$months[$ay_n]. " ".$yil. ", ".$weekdays[$haftagunu]);
	        return $output;
	    }

	    //----------------------------------------------------
	    // function CreateSID($nSize=24)
	    //
	    // Rasgele 24 karakterden oluan bir katar
	    // md5 ile kartrdktan sonra geri dndrr.
	    //
	    //----------------------------------------------------
	    function CreateSID($nSize=24) {

	        // Randomize
	        mt_srand ((double) microtime() * 1000000);
	        for ($i=1; $i<=$nSize; $i++) {
	            // if you wish to add numbers in your string,
	            // uncomment the two lines that are commented
	            // in the if statement
	            $nRandom = mt_rand(1,30);
	            if ($nRandom <= 10) {
	            // Uppercase letters
	            $sessionID .= chr(mt_rand(65,90));
	            } elseif ($nRandom <= 20) {
	            $sessionID .= mt_rand(0,9);
	            } else {
	            // Lowercase letters
	            $sessionID .= chr(mt_rand(97,122));
	            }
        	}
        $sessionID = md5($sessionID);
        return $sessionID;
    	}

        //-------------------------------------------------------------------------------
        // Trke karakter ieren metni byk/kk harfe evirme fonksiyonlar...
        // PHP'nin strtolower() ve strtoupper() fonksiyonlar ile trke karakter
        // ieren bir metni byk/kk harfe evirdiinizde tke karakterler evrilmez.
        // Bu ie yarayan iki ksa fonksiyon :
        //-------------------------------------------------------------------------------
        function toUpperCase( $input ) {
        	return strtoupper( strtr( $input,'i', 'I') );
        }
        function toLowerCase( $input ) {
        	return strtolower(strtr( $input,'I','i'));
        }

        //----------------------------------------------------------------------------------
        // function SetCase($Input, $CaseState = True)
        //
        // Gelen ifadenin ierii bo ise CaseState durumuna bagli olarak "-" ile deitirir
        // veya bo olarak geri dndrr. CaseState in true olmas ifadenin tamamnda dzenlemenin
        // yaplaca anlamna gelir. fade birden fazla kelimeden oluuyorsa ve CaseState True
        // ise ifadeyi oluturan herbir kelimenin sadece ilk harfi byk harf olacak ekilde
        // dier karakterler kk harflere evrilirek geri dndrlr.
        // CaseState false ise hibir deiiklik yaplmadan ifadenin kendisi geri dndrlr.
        //
        //----------------------------------------------------------------------------------
        function SetCase($Input, $CaseState = True) {
            // CaseState False ise hibir deiiklik yapmadan k
            if ($CaseState != True) return $Input;

            // fadenin sadaki ve solundaki boluklar krplyor
            $Input = trim($Input);

            // fadenin ii bo ise "-" ekle
            if ($Input == "")
                    return "-";
            else {
                $Words = Array();
                $Input = str_replace(".", ". ", $Input);
                $Words = split(" ", $Input);
                $Input = "";
                for ($WordNumber = 0; $WordNumber < count($Words); $WordNumber++) {
                	$Words[$WordNumber] = toLowerCase($Words[$WordNumber]);
                    $FirstLetter = toUpperCase(substr($Words[$WordNumber], 0, 1));
                    $Input = $Input . $FirstLetter . substr($Words[$WordNumber], 1, strlen($Words[$WordNumber]) - 1)." ";
                }
                return $Input;
            }
        }

        //----------------------------------------------------------------------------------
        // function FormatDate($D)
        //
        // Tarih  bilgisini biimler. Ay, Gn ve Yl deeri arasna "/" iaretini koyar.
        //----------------------------------------------------------------------------------
        function FormatDate($D) {
            $D = trim($D);
            if ($D != "")
            return substr($D, 4, 2) ."/". substr($D, 6, 2) ."/". substr($D, 0, 4);
            else return $D;
        }
        //----------------------------------------------------------------------------------
        // function DisplayHead()
        //
        // Tarayc baln ve dil seeneklerini ve dier META tanmlamalarn oluturur.
        //
        //----------------------------------------------------------------------------------
        function DisplayHead( $title = "" ) {

            include_once('config.php');

            // erii taraycya gndermeden nce sktr
            ob_start('ob_gzhandler');

            echo "<META NAME='AUTHOR' CONTENT='zgr KOCA'>\n";
            echo "<META NAME='AREA' CONTENT='Education'>\n";
            echo "<META http-equiv='content-type' content='text/html; charset=windows-1254'>\n";
            echo "<META http-equiv='content-type' content='text/html; charset=ISO-8859-9'>\n";
            echo "<META HTTP-EQUIV='Content-language' CONTENT='tr'>\n";
            echo "<META HTTP-EQUIV='LANGUAGE' CONTENT='Turkish'>\n";
            echo "<META HTTP-EQUIV='DIALECT' CONTENT='TR'>\n";
            echo "<META HTTP-EQUIV='Pragma' CONTENT='no-cache'>\n";
            echo "<META HTTP-EQUIV='CACHE-CONTROL' CONTENT='NO-CACHE'>\n";
            echo "<META HTTP-EQUIV='Expires' CONTENT='Tue, 04 Dec 1993 21:29:02 GMT'>\n";
            echo "<META NAME='COPYRIGHT' CONTENT='zgr KOCA'>\n";
            echo "<META NAME='CREATOR' CONTENT='zgr KOCA'>\n";
            echo "<META NAME='DESCRIPTION' CONTENT='e-Okul, Elektronik Okul Bilgi Sistemi'>\n";
            echo "<META NAME='ABSTRACT' CONTENT='e-Okul, Elektronik Okul Bilgi Sistemi'>\n";
            echo "<META NAME='GENERATOR' CONTENT='e-Okul Elektronik Okul Bilgi Sistemi Projesi'>\n";
            echo "<META NAME='KEYWORDS' CONTENT='e-Okul, elektronik okul, renci, bilgi sistemi, e-devlet, okoca'>\n";
            echo "<META NAME='OWNER' CONTENT='okoca@textzone.net'>\n";
            echo "<META NAME='SUBJECT' CONTENT='e-Okul'>\n";
            echo "<META NAME='TITLE' CONTENT='e-Okul'>\n";

            if ($title == "") {
            echo "<TITLE>$SchoolName</TITLE>\n";
            } else {
            echo "<TITLE>&nbsp;&nbsp;$title - e-Okul &nbsp;</TITLE>\n";
            }

            $CSSFolder = GetInfo('eokul_internet_adresi');
            if (substr($CSSFolder, strlen($CSSFolder)-1, 1) == '/')
            $CSSFolder = substr($CSSFolder, 0, strlen($CSSFolder)-1);

            echo "<LINK REL=\"stylesheet\" type=\"text/css\" href=\"$CSSFolder/css/common.css\">\n";
            echo "</HEAD>\n";
        }

        //-------------------------------------------------------------------------------
        //  function SendMail($To, $Subject, $Message)
        //
        // Elektronik posta gnderme fonksiyonu.
        //
        //-------------------------------------------------------------------------------

        function SendMail($To, $Subject, $Message) {

	        $headers  = "MIME-Version: 1.0\r\n";
	        $headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
	        $headers .= "To: ".$to."\r\n";
	        $headers .= "From: Samsun Merkez Endstri Meslek Lisesi <bilgi@samsunmerkezeml.k12.tr>\r\n";

	        mail($To, $Subject, $Message, $headers);
        }

        //-------------------------------------------------------------------------------
        // function ErrorMessage($errormessage)
        //
        // Tum e-Okul kapsamnda kullanlan hata mesaj grntleme fonksiyonu
        // Hata mesajlarn belirli bir formatta gsterir.
        //
        //-------------------------------------------------------------------------------
        function ErrorMessage($errormessage) {
            $Message =
            "<br><br><div align='center'>".
            "<center>".
            "<table width='70%' border='3' cellpadding='10' cellspacing='0' style='border-collapse: collapse' bordercolorlight='#000080' bordercolordark='#0000FF'>".
            "<tr><td><p align='center'><font size='4' color='red'>e-Okul Hata Mesaji</font>".
            "<p align='center'><font size='2'>$errormessage</font>".
            "<br><br><b><u>(Sistem yneticileri bu hata mesajndan haberdar edilmitir.)</u></b></td>".
            "</tr></table></center></div>";
            DisplayHead('Hata');
            echo $Message;

            include_once('lib.php');
            include_once('config.php');
            LogError($SID, $Message);
            //SendMail($ProgrammerMail, 'eOkul Hata.', $Message);
            die();
        }

        //-------------------------------------------------------------------------------
        // function InfoMessage($infomessage)
        //
        // Tum e-Okul kapsamnda kullanlan bilgi mesaj grntleme fonksiyonu
        // Bilgi mesajlarn belirli bir formatta gsterir.
        //
        //-------------------------------------------------------------------------------
        function InfoMessage($infomessage) {
            DisplayHead('Bilgi');
            print "<br><br><div align='center'>".
            "<center>".
            "<table width='70%' border='3' cellpadding='10' cellspacing='0' style='border-collapse: collapse' id='AutoNumber1' bordercolorlight='#000080' bordercolordark='#0000FF'>".
            "<tr><td><p align='center'><font size='4' color='blue'>e-Okul Bilgi Mesaji</font>".
            "<p align='center'><font size='2'>$infomessage</font></td>".
            "</tr></table></center></div>";
            die();
        }


        //-------------------------------------------------------------------------------
        // function ExecSQL($MYSQL_Sorgu, $OP_ID)
        //
        // $MYSQL_Sorgu, SQL cmlesidir
        // $OP_ID, SQL komutunu altran ilem parasnn kod adidir.
        //
        //-------------------------------------------------------------------------------
        function ExecSQL($MYSQL_Sorgu, $OP_ID) {

            include('config.php');

            $Conn = @mysql_connect($DBHost, $DBUsername, $DBPassword)
            or ErrorMessage("$OP_ID<br>Fonksiyon: mysqlconnect() <br>MYSQL:".mysql_error($Conn));

            @mysql_select_db($DBName, $Conn)
            or ErrorMessage("$OP_ID<br>Fonksiyon: mysql_select_db() <br>MYSQL:".mysql_error($Conn));

            $Result = mysql_query($MYSQL_Sorgu, $Conn)
            or ErrorMessage("$OP_ID<br>Fonksiyon: mysql_query() <br>MYSQL:".mysql_error($Conn));

            @mysql_close($Conn)
            or ErrorMessage("$OP_ID<br>Fonksiyon: mysql_close() <br>MYSQL:".mysql_error($Conn));

            return $Result;
        };


        //---------------------------------------------------------------------------------
        // functions GetSeconds()
        //
        // 1 ocak 1970 den itibaren geen zaman saniye cinsinden getirir.
        //
        //---------------------------------------------------------------------------------
        function GetSeconds() {
	        $PartyTime = explode(" ", microtime());
	        return $PartyTime[1];
        }


        //---------------------------------------------------------------------------------
        // Function CreateSession($SID, $Username)
        //
        // Kullancnn grmeye yetkisi olduu sayfalarda rahata dolamasn salamak iin
        // oturum oluturulur. Oturum belirli bir sre iin oluturulur. nceden
        // belirlenen bu srenin amnda oturum bilgileri yok edilir ve oturum sonlandrlr.
        // Sonlanan oturum kullancnn artk sayfalarda dolaamamasna ve etkileimde
        // bulunamamasn salar.
        //
        // Bu fonksiyon oturuma ait oturum numarasn ($SID) ve kullancnn adn zaman bilgisi
        // ile birlikte veri tabanna kaydeder.
        //
        //----------------------------------------------------------------------------------
        function CreateSession($SID, $Username) {
            // Yeni oluturulan SID veri tabannda varm kontrol et
            $SQL = "select count(uid) from sessions where sid='$SID'";
            $Result = ExecSQL($SQL, 'Aklama: Oturum oluturma(1).<br>Konum: '.$_SERVER['PHP_SELF']);

            // Dnen kayt says sfrsa, ayn SID daha nce olturulmamtr.
            if (mysql_result($Result, 0) == 0) {
                $seconds = GetSeconds();
                // Yeni SID bilgilerini veri tabanna kaydeder.
                $SQL = "insert into sessions (sid,uid,time,agent) values ('$SID','$Username','$seconds','".$_SERVER["HTTP_USER_AGENT"]."')";
                $Result = ExecSQL($SQL, 'Aklama: Oturum oluturma(2).<br>Konum: '.$_SERVER['PHP_SELF']);
        	} else {
                // Ayn SID daha ncede oluturulmu yenisini olutur.
                CreateSession( CreateSID($SID), $Username);
            }
        }

        //---------------------------------------------------------------------------------
        // Function DestroySession($SID)
        //
        // Geersiz SID leri veri tabanndan siler.
        //
        //---------------------------------------------------------------------------------
        function DestroySession($SID) {
            // Oturum bilgilerini veritabanndan sil.
            $SQL = "delete from sessions where sid='$SID'";
            $Result = ExecSQL($SQL, 'Aklama: Oturum kontrol(3).<br>Konum: '.$_SERVER['PHP_SELF']);
    	}

        //---------------------------------------------------------------------------------
        // Function CheckSession($SID)
        //
        // Kullancnn oturumun iinde olup olmadn kontrol eder.
        // CreateSession ile oluturulan SID deerinin doruluunu ve
        // oturum sresinin alp almadn kontrol eder.
        // SID veri tabannda yoksa bu fonksiyon false (olumsuz) dndrr.
        // Oturum sresi almsa veritabanndaki SID kayd yok edilir,
        // ve oturum sonlandrlr. Bu durumda da fonksiyon false (olumsuz) dndrr.
        //
        //---------------------------------------------------------------------------------
        function CheckSession($SID) {

            // Sayfadan gelen SID deerini veri tabanndan kontrol eder.
	        // Ayn SID ile farkl bir IP den eriim yaplamaz.
	        $SQL = "select count(*) from sessions where (sid='$SID') and (agent='".$_SERVER["HTTP_USER_AGENT"]."')";
	        $Result = ExecSQL($SQL, 'Aklama: Oturum kontrol(1).<br>Konum: '.$_SERVER['PHP_SELF']);

	        // SID deeri mevcutsa oturumun geerlilini kontrol et.
	        if ( mysql_result($Result, 0) == 1 ) {

                include('config.php');

	            // Veri tabanndan SID in oluturulma zamann getir.
	            $SQL = "select time from sessions where sid='$SID'";
	            $Result = ExecSQL($SQL, 'Aklama: Oturum kontrol(2).<br>Konum: '.$_SERVER['PHP_SELF']);

	                // Saniye cinsinden SID oluturulma zamann verir.
	                $SCreationTime = mysql_result($Result, 0);

	                // Oturum zaman almm.
	                if ((GetSeconds() - $SCreationTime) >= $SessionTimeout) {

                        // Oturum bilgilerini veritabanndan sil.
                        DestroySession($SID);
                        // Oturum sresi ald mesajn grntler.
                        ErrorMessage("Sayfa zaman amna uram. Ltfen tekrar giri yapn.".
                        "<br><br>Giri yapmak iin <a target='_top' href='".GetInfo('eokul_internet_adresi')."'>buraya</a> tklayabilirsiniz.");
                        return false;
	                } else {

                        // Oturum zaman almamsa oturumu gncelle
                        UpdateSession($SID);
                        return true;
	                }
	        }
            else
	        {
                // Veri tabannda olmayan bir SID ile eriim yaplamaz.
	            ErrorMessage("zniniz olamayan bir sayfaya erimeye alyorsunuz.".
	            "<br><br>Giri yapmak iin <a target='_top' href='".GetInfo('eokul_internet_adresi')."'>buraya </a>tklayn.");
	            return false;
	        }
        }

        //---------------------------------------------------------------------------------
        // function UpdateSession($SID)
        //
        // Oturumu gnceller.
        // Oturum balang zamann yeni balang zaman ile deitir.
        //
        //---------------------------------------------------------------------------------
        function UpdateSession($SID) {
        	$seconds = GetSeconds();
            $SQL = "update sessions set time='$seconds' where sid='$SID'";
            $Result = ExecSQL($SQL, 'Aklama: Oturumun  Gncellenmesi.<br>Konum: '.$_SERVER['PHP_SELF']);
        }

        //---------------------------------------------------------------------------------
        // function ClearDeadSessions()
        //
        // Oturum zamann am ve normal yolla k yapmayan kullanclara ait
        // oturum bilgilerini veri tabannndan siler.
        //
        //---------------------------------------------------------------------------------
        function ClearDeadSessions() {
             include('config.php');
             $RangeTime = GetSeconds() - $SessionTimeout;
             $SQL = "delete from sessions where time < $RangeTime";
             $Result = ExecSQL($SQL, 'Aklama: l oturumlarn temizlenmesi.<br>Konum: '.$_SERVER['PHP_SELF']);
        }

        //---------------------------------------------------------------------------------
        // function GetConnectedUsersCount()
        //
        // Oturumu balam ve henz oturumu sonlanmayan kullanclarn saysn bulur.
        //
        //---------------------------------------------------------------------------------
        function GetConnectedUsersCount() {
             $SQL = "select count(uid) from sessions";
             $Result = ExecSQL($SQL, 'Aklama: Bal kullanclarn saysn al.<br>Konum: '.$_SERVER['PHP_SELF']);
             return mysql_result($Result, 0);
        }

        //---------------------------------------------------------------------------------
        // function LogLogin($SID, $UID, $REFERER)
        //
        // Sisteme giri yapan kullanclara ait bilgileri veritabanna kaydeder.
        // Kullancnn adres bilgileri, hangi sayfadan ynlendirildii ve oturum
        // tantcs gibi bilgiler veri tabanna kaydedilir.
        //
        //---------------------------------------------------------------------------------
        function LogLogin($SID, $UID, $REFERER) {
            $TimeStamp = GetSeconds();
            $LoginDate = TurkishDate()."-".Date("h:i:s");
            $Addr = $_SERVER['REMOTE_ADDR'];
            $Host = $_SERVER['REMOTE_HOST'];
            $SQL = "insert into loginlogs (sid, uid, referer, timestamp, date, ip, host) values ('$SID', '$UID', '$REFERER', '$TimeStamp', '$LoginDate', '$Addr', '$Host')";
            $Result = ExecSQL($SQL, 'Aklama: LogLogin().<br>Konum: '.$_SERVER['PHP_SELF']);

        }

        function LogError($SID, $MESSAGE) {
            $TimeStamp = GetSeconds();
            $LoginDate = TurkishDate()."-".Date("h:i:s");
            $Addr = $_SERVER['REMOTE_ADDR'];
            $Host = $_SERVER['REMOTE_HOST'];
            $UID =  SID2UID($GLOBALS[$SID]);
            $MESSAGE = strip_tags($MESSAGE);
            $SQL = "insert into errors (id, uid, date, message, ip, host) values ('$SID','$UID','$LoginDate','$MESSAGE','$Addr','$Host')";
            include('config.php');
            $Conn = mysql_connect($DBHost, $DBUsername, $DBPassword);
            mysql_select_db($DBName, $Conn);
            $Result = mysql_query($SQL, $Conn);
            mysql_close($Conn);
        }

        //---------------------------------------------------------------------------------
        // function Uncompress($srcName, $dstName)
        //
        // GZ formatyla sktrlm dosyalar geniletir.
        // Bu fonksiyonun alabilmesi iin sunucuda zlib ktphanesinin
        // ykl olmas gereklidir.
        //
        //---------------------------------------------------------------------------------
        function Uncompress($srcName, $dstName) {
            // Sktrlm dosyann ierii okunuyor
            $zp = gzopen($srcName, "r");
            while(!gzeof($zp))
            $string .= gzread($zp, 4096);
            gzclose($zp);

            // Geniletilmi ierik dosyaya yazlyor
            $fp = fopen($dstName, "w");
            fwrite($fp, $string, strlen($string));
            fclose($fp);
        }

        //---------------------------------------------------------------------------------
        // function GetUserLevel($UN)
        //
        // Sistem tanml kullanclarn yetki seviyesi dndrr
        // Yetki seviyeleri aadaki gibidir.
        //
        // ( 0) -> e-Okul yneticisidir (Sistemdeki en yetkili kiidir).
        // ( 1) -> retmen veya Okul Yneticileridir.
        // ( 2) -> rencidir.
        // ( 3) -> Test kullansdr.
        // (-1) -> Sistemde tanml bir kullanc olmadn gsterir.
        //
        //---------------------------------------------------------------------------------
        function GetUserLevel($UN) {

            include('config.php');

            // Test kullancs
            if ($UN == $TestUserName)
            return  3;

            // e-Okul yneticisi
            if ($UN == $AdminName)
            return 0;

            // renci
            $SQL = "select count(SchoolNumber) from Profile where (SchoolNumber='$UN')";
            $Result = ExecSQL($SQL, 'Aklama: GetUserLevel(2).<br>Konum: '.$_SERVER['PHP_SELF']);
            if (mysql_result($Result, 0) > 0)
            return  2;

            // retmen veya okul yneticisi
            $SQL = "select count(UID) from Teachers where (UID='$UN')";
            $Result = ExecSQL($SQL, 'Aklama: GetUserLevel(1).<br>Konum: '.$_SERVER['PHP_SELF']);
            if (mysql_result($Result, 0) > 0)
            return 1;

            // Sistemda tanmsz kullanc
            else return -1;
        }

        //---------------------------------------------------------------------------------
        // function CheckUserPassword($UserName, $Password)
        //
		// Kullancnn ifresi doruysa geriye true dndrr.
		// Bu fonskiyon kullanc trne gre bal olarak
		// ifre kontrol yapmaktadr. Kullanc trleri, GetUserLevel()
		// fonsiyonunun aklama balnda listelenmitir.
        //
        //---------------------------------------------------------------------------------
        function CheckUserPassword($UserName, $Password) {
            include('config.php');
        	switch (GetUserLevel($UserName)) {
        		// e-Okul yneticisi
        		case 0:
        			if (($UserName == $AdminName) and ($Password == $AdminPassword))
        			return 1;
        			break;
        		// retmen veya okul yneticisi
        		case 1:
        			$SQL = "select count(UID) from Teachers where (UID='$UserName') and (Password='$Password')";
        			$Result = ExecSQL($SQL, 'Aklama: CheckUserPassword(Level=1).<br>Konum: '.$_SERVER['PHP_SELF']);
        			if (mysql_result($Result, 0) > 0)
        			return 1;
        			break;
        		// renci
        		case 2:
                    $SQL = "select count(id) from passwords where (uid='$UserName') and (password='$Password')";
        			$Result = ExecSQL($SQL, 'Aklama: CheckUserPassword(Level=2).<br>Konum: '.$_SERVER['PHP_SELF']);
        			if (mysql_result($Result, 0) > 0)
        			return 1;
        			break;
                // Test Kullancs
        		case 3:
        			if (($UserName == $TestUserName) and ($Password == $TestUserPassword))
        			return 1;
        			break;
        	}
        	return 0;
        }

        //---------------------------------------------------------------------------------
        // function GetUserPassword($UserName)
        //
        // Kullancnn ifresini geri dndrr.
		// Bu fonskiyon kullanc trne gre bal olarak
		// ifre kontrol yapmaktadr. Kullanc trleri, GetUserLevel()
		// fonsiyonunun aklama balnda listelenmitir.
        //
        //---------------------------------------------------------------------------------
        function GetUserPassword($UserName) {

            include('config.php');

        	switch (GetUserLevel($UserName)) {

        		// e-Okul yneticisi
        		case 0:
        			if ($UserName == $AdminName)
        			return $AdminPassword;
        			break;

        		// retmen veya okul yneticisi
        		case 1:
        			$SQL = "select Password from Teachers where UID='$UserName'";
        			$Result = ExecSQL($SQL, 'Aklama: GetUserPassword(Level=1).<br>Konum: '.$_SERVER['PHP_SELF']);
        			$Record = mysql_fetch_array($Result);
        			return $Record['Password'];
        			break;

        		// renci
        		case 2:
                    $SQL = "select password from passwords where uid='$UserName'";
        			$Result = ExecSQL($SQL, 'Aklama: GetUserPassword(Level=2).<br>Konum: '.$_SERVER['PHP_SELF']);
                    $Record = mysql_fetch_array($Result);
        			return $Record['password'];
        			break;

        		// Test Kullancs
        		case 3:
        			if ($UserName == $TestUserName)
        			return $TestUserPassword;
        			break;
        	}
        	return 0;
        }

        //---------------------------------------------------------------------------------
        // function StartExecutionTimer()
        //
        // Zaman sayacn balatr.
        // CalculateExecutionTime() fonksiyonu ile birlikte kullanlr.
        // Sayfann iletilme sresini hesaplamak iin kullanlr.
        //
        //---------------------------------------------------------------------------------
        $tend;
        $tstart;

        function StartExecutionTimer() {
            global $tend, $tstart;
            $mtime = microtime();
            $mtime = explode(" ", $mtime);
            $mtime = $mtime[1] + $mtime[0];
            $tstart = $mtime;
        }

        //---------------------------------------------------------------------------------
        // CalculateExecutionTime(
        //
        // Zaman sayacn durdurur.
        // StartExecutionTimer() fonksiyonu ile birlikte kullanlr.
        // Sayfann iletilme sresini hesaplamak iin kullanlmaktadr.
        //
        //---------------------------------------------------------------------------------
        function CalculateExecutionTime() {
            global $tend, $tstart;
            $mtime = microtime();
            $mtime = explode(" ",$mtime);
            $mtime = $mtime[1] + $mtime[0];
            $tend = $mtime;
            return sprintf("%0.4f",$tend - $tstart);
        }


        function InitPage($PageTitle = '') {
            StartExecutionTimer();
            DisplayHead($PageTitle);
        }

        function EndPage() {
            include('config.php');
            echo $Footer;
            echo "<br><br><center><font size='2'>Sayfa retim sresi ".CalculateExecutionTime()." saniye.</font></center>";
    	}

        function SID2UID($SID) {
            $SQL = "select uid from sessions where sid='$SID'";
            $Result = ExecSQL($SQL, 'Aklama: SID2UID()<br>Konum: '.$_SERVER['PHP_SELF']);
            $Record = mysql_fetch_array($Result);
            return $Record['uid'];
        }

        function UID2SID($UID) {
            $SQL = "select sid from sessions where uid='$UID'";
            $Result = ExecSQL($SQL, 'Aklama: UID2SID()<br>Konum: '.$_SERVER['PHP_SELF']);
            $Record = mysql_fetch_array($Result);
            return $Record['sid'];
        }

        function SchoolCode2SchoolName($SchoolCode) {
            $SQL = "select SchoolName from Schools where SchoolCode='$SchoolCode'";
            $Result = ExecSQL($SQL, 'Aklama: SchoolCode2SchoolName()<br>Konum: '.$_SERVER['PHP_SELF']);
            $Record = mysql_fetch_array($Result);
            return $Record['SchoolName'];
        }

        function GetInfo($FieldName) {
        	$SQL = "select fieldvalue from info where fieldname = '$FieldName'";
        	$Result = ExecSQL($SQL, 'Aklama: GetInfo()<br>Konum: '.$_SERVER['PHP_SELF']);
        	$Record = mysql_fetch_array($Result);
        	return $Record['fieldvalue'];
        }

        function UpdateInfo($FieldName, $FieldValue) {
			// SQL zararl oluumlar ieriyorsa onlar temizle
        	$FieldValue = mysql_escape_string($FieldValue);
        	// Daha nceden oluturulmu mu.
        	$SQL = "select count(fieldvalue) from info where fieldname = '$FieldName'";
        	$Result = ExecSQL($SQL, 'Aklama: UpdateInfo(count(fieldvalue))<br>Konum: '.$_SERVER['PHP_SELF']);
        	if (mysql_result($Result, 0) == 1) {
                // Ayn kaytlar varsa sil.
        		$SQL = "update info set fieldvalue = '$FieldValue' where fieldname = '$FieldName'";
        		$Result = ExecSQL($SQL, 'Aklama: UpdateInfo(update)<br>Konum: '.$_SERVER['PHP_SELF']);
        	} else {
        		// Ayn kayttan 1 den fazla varsa sil.
        		$SQL = "delete from info where fieldname = '$FieldName'";
        		$Result = ExecSQL($SQL, 'Aklama: UpdateInfo(delete)<br>Konum: '.$_SERVER['PHP_SELF']);
        		// Yeni kayt ekle.
                $SQL = "insert into info (fieldname, fieldvalue) values ('$FieldName','$FieldValue')";
        		$Result = ExecSQL($SQL, 'Aklama: UpdateInfo(insert)<br>Konum: '.$_SERVER['PHP_SELF']);
        	}
        }

        //----------------------------------------------------------------------
        // function CreateRandomPassword($Length)
        //
        // Parametre olarak belirtilen uzunlukta ifre retir.
        // ifreyi oluturan karakterler $chars kmesi ile belirtilmitir.
        //
        //----------------------------------------------------------------------

        function CreateRandomPassword($Length) {
        	if ($Length == '') return '';
        	$chars = "aeiou0123456789";
        	srand((double)microtime()*1000000);
        	$i = 0;
        	$pass = '' ;
        	while ($i < $Length) {
	            $num = rand() % strlen($chars);
	            $tmp = substr($chars, $num, 1);
	            $pass = $pass . $tmp;
	            $i++;
        	}
        	return $pass;
        }


        //----------------------------------------------------------------------
        // function TableExists($TableName)
        //
        // Parametre olarak belirilen tablonun veritabannda olup olmadn
        // tespit eder.
        //
        //----------------------------------------------------------------------
        function TableExists($TableName) {

	        include('config.php');

            if (!mysql_connect($DBHost, $DBUsername, $DBPassword)) {
	           echo 'Could not connect to mysql';
	           return FALSE;
	        }

	        $result = mysql_list_tables($DBName);

	        if (!$result) {
	           echo "DB Error, could not list tables\n";
	           echo 'MySQL Error: ' . mysql_error();
	           return FALSE;
	        }

	        while ($row = mysql_fetch_row($result)) {
	           if ($row[0] == $TableName)
	           return TRUE;
	        }

	        return FALSE;
		}

?>